package com.steering.mes.mcp.entity;

/**
 * 数据库表YDM_GP_OUTLIST所对应的实体类（生成工具：代码生成器3.0）
 * @author DM22222   date 2018-10-27
 */
@SuppressWarnings("serial")
public class YdmGpOutlistEntity implements java.io.Serializable {
	
    private String leaveManagementNo = "";
	
	public String getLeaveManagementNo() {
		return leaveManagementNo;
	}

	public void setLeaveManagementNo(String leaveManagementNo) {
		this.leaveManagementNo = leaveManagementNo;
	}

	private String leaveManagementName = "";
	
	public String getLeaveManagementName() {
		return leaveManagementName;
	}

	public void setLeaveManagementName(String leaveManagementName) {
		this.leaveManagementName = leaveManagementName;
	}
	
    /**
     * 出库流水号
     */
    private String outstockSqe = "";
    /**
     * 出库指示号(出库计划号) 轧管炉计划ID
     */
    private String outstockPlanNo = "";
    /**
     * 出库单编号
     */
    private String outstockDoc = "";
    /**
     * 出库类型代码
     */
    private String outstockTypeCode = "";
    /**
     * 出库类型名称(倒库出库、销售出库、退料红冲、盘亏出库、投料出库、)
     */
    private String outstockTypeName = "";
    /**
     * IC卡号
     */
    private String iccarNo = "";
    /**
     * 车牌号
     */
    private String vehicleNo = "";
    /**
     * 材料号（坯号）规则---(15)----母料号000
     */
    private String matNo = "";
    /**
     * (出库)材料类别（8014在制品、成品、商品）
     */
    private String productFlag = "";
    /**
     * (出库)材料状态（801501在制品阶段、801502成品、801503商品...）
     */
    private String matStatus = "";
    /**
     * 熔炼炉号
     */
    private String stoveNo = "";
    /**
     * 标示炉号
     */
    private String flagStoveNo = "";
    /**
     * 判定炉号
     */
    private String judgeStoveNo = "";
    /**
     * 浇次号
     */
    private String castNo = "";
    /**
     * 连铸机号
     */
    private String ccmid = "";
    /**
     * 物料码
     */
    private String materialNo = "";
    /**
     * 物料描叙
     */
    private String materialName = "";
    /**
     * 钢种代码
     */
    private String gradecode = "";
    /**
     * 钢种名称
     */
    private String gradename = "";
    /**
     * 标准代码
     */
    private String stdCode = "";
    /**
     * 标准名称
     */
    private String stdName = "";
    /**
     * 直径或宽度(实际)
     */
    private String dimater = "";
    /**
     * 厚(实际)
     */
    private String height = "";
    /**
     * 坯料长度(实际)
     */
    private String actLen = "";
    /**
     * 倍尺数(实际)
     */
    private String fixNum = "";
    /**
     * 单倍长度(实际)
     */
    private String fixLen = "";
    /**
     * 材料支数(实际)
     */
    private String actCount = "";
    /**
     * 材料实重(实际)
     */
    private String actWeight = "";
    /**
     * 材料理论重量(实际)
     */
    private String actTheoryWeight = "";
    /**
     * 过磅单号
     */
    private String ponderNo = "";
    /**
     * 过磅重量
     */
    private String ponderGrossWt = "";
    /**
     * 产线代码（机组）
     */
    private String plineCode = "";
    /**
     * 产线描述
     */
    private String plineName = "";
    /**
     * 生产合同号(内部管理号)
     */
    private String proOrderNo = "";
    /**
     * 合同号
     */
    private String orderNo = "";
    /**
     * 合同行号
     */
    private String orderSeq = "";
    /**
     * 合同子行号
     */
    private String orderSeqNo = "";
    /**
     * 合同主键
     */
    private String ordPk = "";
    /**
     * 合同行主键
     */
    private String ordLnPk = "";
    /**
     * 交货行主键
     */
    private String ordLnDlyPk = "";
    /**
     * 所属权单位代码
     */
    private String belongCode = "";
    /**
     * 所属权单位
     */
    private String belongName = "";
    /**
     * 条码号
     */
    private String barCode = "";
    /**
     * (出库)仓库代码
     */
    private String storageNo = "";
    /**
     * (出库)库位代码
     */
    private String locationNo = "";
    /**
     * (出库)层号
     */
    private String laryNo = "";
    /**
     * (出库)位置
     */
    private String locNo = "";
    /**
     * (出库)作业部门代码
     */
    private String departmentCode = "";
    /**
     * (出库)作业部门名称
     */
    private String departmentDesc = "";
    /**
     * (出库)作业科室代码
     */
    private String managementNo = "";
    /**
     * (出库)作业科室名称
     */
    private String managementName = "";
    /**
     * (目标)仓库代码
     */
    private String tarStorageNo = "";
    /**
     * (目标)库位代码
     */
    private String tarLocationNo = "";
    /**
     * (目标)层号
     */
    private String tarLaryNo = "";
    /**
     * (目标)位置
     */
    private String tarLocNo = "";
    /**
     * (目标)作业部门代码
     */
    private String tarDepartmentCode = "";
    /**
     * (目标)作业部门描叙
     */
    private String tarDepartmentDesc = "";
    /**
     * (目标)作业科室代码
     */
    private String tarManagementNo = "";
    /**
     * (目标)作业科室名称
     */
    private String tarManagementName = "";
    /**
     * (目标)接收确认标志（0未接收、1已接收）
     */
    private String tarRecFlag = "";
    /**
     * 装运点
     */
    private String vstel = "";
    /**
     * 装运点描述
     */
    private String vstelDesc = "";
    /**
     * 生产下线时间
     */
    private String rpoTime = "";
    /**
     * 生产班次
     */
    private String proBc = "";
    /**
     * 生产班组
     */
    private String proBz = "";
    /**
     * 结算日期（年月）例201510
     */
    private String balYearMonth = "";
    /**
     * 入库时间
     */
    private String instockTime = "";
    /**
     * 入库班次
     */
    private String inBc = "";
    /**
     * 入库班组
     */
    private String inBz = "";
    /**
     * 出库时间
     */
    private String outstockTime = "";
    /**
     * 出库班次
     */
    private String outBc = "";
    /**
     * 出库班组
     */
    private String outBz = "";
    /**
     * 仓库类型（8003    离线库 、投料库、中间库、在线库、成品库）
     */
    private String storageAttr = "";
    /**
     * 仓库类型描述
     */
    private String storageAttrName = "";
    /**
     * 库类别代码(8002  管、坯、原料库、合金辅料库、工具库
     */
    private String storageTypeNo = "";
    /**
     * 库类别代码描述
     */
    private String storageTypeName = "";
    /**
     * 手工出库标志
     */
    private String handFlag = "";
    /**
     * 有效标志(1:有效，0:无效)
     */
    private String validflag = "";
    /**
     * 备注
     */
    private String memo = "";
    /**
     * 创建人
     */
    private String createName = "";
    /**
     * 创建时间
     */
    private String createTime = "";
    /**
     * 修改人
     */
    private String updateName = "";
    /**
     * 修改时间
     */
    private String updateTime = "";
    /**
     * 删除人
     */
    private String deleteName = "";
    /**
     * 删除时间
     */
    private String deleteTime = "";
    /**
     * 组号(判定炉号对应长度分组)
     */
    private String groudNo = "";
    /**
     * 实发数(米、英尺等
     */
    private String sendNum = "";
    /**
     * 收货单位编码
     */
    private String receivNo = "";
    /**
     * 收货单位名称
     */
    private String receivNm = "";
    /**
     * 装车皮倒运提货单号
     */
    private String mBillNo = "";
    /**
     * 打印炉号
     */
    private String printStoveNo = "";
    /**
     * 铸造订单编号
     */
    private String proPlanId = "";
    /**
     * 工序排产序号
     */
    private String gxPlanNo = "";
    /**
     * 虚拟炉号
     */
    private String furnaceno = "";
    /**
     * 顺序号(虚拟炉号)
     */
    private String sequenceno = "";
    /**
     * 管坯类型（1铸坯2锻坯）
     */
    private String gptype = "";
    /**
     * 成分标准索引号集合(内控)
     */
    private String cic = "";
    /**
     * 材质标准索引号集合(内控)
     */
    private String pic = "";
    /**
     * 公差标准索引号集合(内控)
     */
    private String sic = "";
    /**
     * 探伤索引号集合(内控)
     */
    private String dic = "";
    /**
     * 品名代码
     */
    private String produccode = "";
    /**
     * 品名描述
     */
    private String producname = "";
    /**
     * 轧管订单编号
     */
    private String proPlanIdZg = "";
    /**
     * 轧管排产序号
     */
    private String gxPlanNoZg = "";
    /**
     * 司机
     */
    private String driver = "";
    /**
     * 材料去向代码
     */
    private String matGowhereCode = "";
    /**
     * 材料去向
     */
    private String matGowhereName = "";
    /**
     * 出厂确认人
     */
    private String leaveFactoryName = "";
    /**
     * 出厂确认时间
     */
    private String leaveFactoryTime = "";
    /**
     * 出厂确认标识(0 未确认  1已确认)
     */
    private String leaveFactoryFlag = "";

    /**
     * 出库流水号
     * @return value
     */
    public String getOutstockSqe() {
        return outstockSqe;
    }

    /**
     * 出库流水号
     * @param outstockSqe value
     */
    public void setOutstockSqe(String outstockSqe) {
        this.outstockSqe = outstockSqe;
    }

    /**
     * 出库指示号(出库计划号) 轧管炉计划ID
     * @return value
     */
    public String getOutstockPlanNo() {
        return outstockPlanNo;
    }

    /**
     * 出库指示号(出库计划号) 轧管炉计划ID
     * @param outstockPlanNo value
     */
    public void setOutstockPlanNo(String outstockPlanNo) {
        this.outstockPlanNo = outstockPlanNo;
    }

    /**
     * 出库单编号
     * @return value
     */
    public String getOutstockDoc() {
        return outstockDoc;
    }

    /**
     * 出库单编号
     * @param outstockDoc value
     */
    public void setOutstockDoc(String outstockDoc) {
        this.outstockDoc = outstockDoc;
    }

    /**
     * 出库类型代码
     * @return value
     */
    public String getOutstockTypeCode() {
        return outstockTypeCode;
    }

    /**
     * 出库类型代码
     * @param outstockTypeCode value
     */
    public void setOutstockTypeCode(String outstockTypeCode) {
        this.outstockTypeCode = outstockTypeCode;
    }

    /**
     * 出库类型名称(倒库出库、销售出库、退料红冲、盘亏出库、投料出库、)
     * @return value
     */
    public String getOutstockTypeName() {
        return outstockTypeName;
    }

    /**
     * 出库类型名称(倒库出库、销售出库、退料红冲、盘亏出库、投料出库、)
     * @param outstockTypeName value
     */
    public void setOutstockTypeName(String outstockTypeName) {
        this.outstockTypeName = outstockTypeName;
    }

    /**
     * IC卡号
     * @return value
     */
    public String getIccarNo() {
        return iccarNo;
    }

    /**
     * IC卡号
     * @param iccarNo value
     */
    public void setIccarNo(String iccarNo) {
        this.iccarNo = iccarNo;
    }

    /**
     * 车牌号
     * @return value
     */
    public String getVehicleNo() {
        return vehicleNo;
    }

    /**
     * 车牌号
     * @param vehicleNo value
     */
    public void setVehicleNo(String vehicleNo) {
        this.vehicleNo = vehicleNo;
    }

    /**
     * 材料号（坯号）规则---(15)----母料号000
     * @return value
     */
    public String getMatNo() {
        return matNo;
    }

    /**
     * 材料号（坯号）规则---(15)----母料号000
     * @param matNo value
     */
    public void setMatNo(String matNo) {
        this.matNo = matNo;
    }

    /**
     * (出库)材料类别（8014在制品、成品、商品）
     * @return value
     */
    public String getProductFlag() {
        return productFlag;
    }

    /**
     * (出库)材料类别（8014在制品、成品、商品）
     * @param productFlag value
     */
    public void setProductFlag(String productFlag) {
        this.productFlag = productFlag;
    }

    /**
     * (出库)材料状态（801501在制品阶段、801502成品、801503商品...）
     * @return value
     */
    public String getMatStatus() {
        return matStatus;
    }

    /**
     * (出库)材料状态（801501在制品阶段、801502成品、801503商品...）
     * @param matStatus value
     */
    public void setMatStatus(String matStatus) {
        this.matStatus = matStatus;
    }

    /**
     * 熔炼炉号
     * @return value
     */
    public String getStoveNo() {
        return stoveNo;
    }

    /**
     * 熔炼炉号
     * @param stoveNo value
     */
    public void setStoveNo(String stoveNo) {
        this.stoveNo = stoveNo;
    }

    /**
     * 标示炉号
     * @return value
     */
    public String getFlagStoveNo() {
        return flagStoveNo;
    }

    /**
     * 标示炉号
     * @param flagStoveNo value
     */
    public void setFlagStoveNo(String flagStoveNo) {
        this.flagStoveNo = flagStoveNo;
    }

    /**
     * 判定炉号
     * @return value
     */
    public String getJudgeStoveNo() {
        return judgeStoveNo;
    }

    /**
     * 判定炉号
     * @param judgeStoveNo value
     */
    public void setJudgeStoveNo(String judgeStoveNo) {
        this.judgeStoveNo = judgeStoveNo;
    }

    /**
     * 浇次号
     * @return value
     */
    public String getCastNo() {
        return castNo;
    }

    /**
     * 浇次号
     * @param castNo value
     */
    public void setCastNo(String castNo) {
        this.castNo = castNo;
    }

    /**
     * 连铸机号
     * @return value
     */
    public String getCcmid() {
        return ccmid;
    }

    /**
     * 连铸机号
     * @param ccmid value
     */
    public void setCcmid(String ccmid) {
        this.ccmid = ccmid;
    }

    /**
     * 物料码
     * @return value
     */
    public String getMaterialNo() {
        return materialNo;
    }

    /**
     * 物料码
     * @param materialNo value
     */
    public void setMaterialNo(String materialNo) {
        this.materialNo = materialNo;
    }

    /**
     * 物料描叙
     * @return value
     */
    public String getMaterialName() {
        return materialName;
    }

    /**
     * 物料描叙
     * @param materialName value
     */
    public void setMaterialName(String materialName) {
        this.materialName = materialName;
    }

    /**
     * 钢种代码
     * @return value
     */
    public String getGradecode() {
        return gradecode;
    }

    /**
     * 钢种代码
     * @param gradecode value
     */
    public void setGradecode(String gradecode) {
        this.gradecode = gradecode;
    }

    /**
     * 钢种名称
     * @return value
     */
    public String getGradename() {
        return gradename;
    }

    /**
     * 钢种名称
     * @param gradename value
     */
    public void setGradename(String gradename) {
        this.gradename = gradename;
    }

    /**
     * 标准代码
     * @return value
     */
    public String getStdCode() {
        return stdCode;
    }

    /**
     * 标准代码
     * @param stdCode value
     */
    public void setStdCode(String stdCode) {
        this.stdCode = stdCode;
    }

    /**
     * 标准名称
     * @return value
     */
    public String getStdName() {
        return stdName;
    }

    /**
     * 标准名称
     * @param stdName value
     */
    public void setStdName(String stdName) {
        this.stdName = stdName;
    }

    /**
     * 直径或宽度(实际)
     * @return value
     */
    public String getDimater() {
        return dimater;
    }

    /**
     * 直径或宽度(实际)
     * @param dimater value
     */
    public void setDimater(String dimater) {
        this.dimater = dimater;
    }

    /**
     * 厚(实际)
     * @return value
     */
    public String getHeight() {
        return height;
    }

    /**
     * 厚(实际)
     * @param height value
     */
    public void setHeight(String height) {
        this.height = height;
    }

    /**
     * 坯料长度(实际)
     * @return value
     */
    public String getActLen() {
        return actLen;
    }

    /**
     * 坯料长度(实际)
     * @param actLen value
     */
    public void setActLen(String actLen) {
        this.actLen = actLen;
    }

    /**
     * 倍尺数(实际)
     * @return value
     */
    public String getFixNum() {
        return fixNum;
    }

    /**
     * 倍尺数(实际)
     * @param fixNum value
     */
    public void setFixNum(String fixNum) {
        this.fixNum = fixNum;
    }

    /**
     * 单倍长度(实际)
     * @return value
     */
    public String getFixLen() {
        return fixLen;
    }

    /**
     * 单倍长度(实际)
     * @param fixLen value
     */
    public void setFixLen(String fixLen) {
        this.fixLen = fixLen;
    }

    /**
     * 材料支数(实际)
     * @return value
     */
    public String getActCount() {
        return actCount;
    }

    /**
     * 材料支数(实际)
     * @param actCount value
     */
    public void setActCount(String actCount) {
        this.actCount = actCount;
    }

    /**
     * 材料实重(实际)
     * @return value
     */
    public String getActWeight() {
        return actWeight;
    }

    /**
     * 材料实重(实际)
     * @param actWeight value
     */
    public void setActWeight(String actWeight) {
        this.actWeight = actWeight;
    }

    /**
     * 材料理论重量(实际)
     * @return value
     */
    public String getActTheoryWeight() {
        return actTheoryWeight;
    }

    /**
     * 材料理论重量(实际)
     * @param actTheoryWeight value
     */
    public void setActTheoryWeight(String actTheoryWeight) {
        this.actTheoryWeight = actTheoryWeight;
    }

    /**
     * 过磅单号
     * @return value
     */
    public String getPonderNo() {
        return ponderNo;
    }

    /**
     * 过磅单号
     * @param ponderNo value
     */
    public void setPonderNo(String ponderNo) {
        this.ponderNo = ponderNo;
    }

    /**
     * 过磅重量
     * @return value
     */
    public String getPonderGrossWt() {
        return ponderGrossWt;
    }

    /**
     * 过磅重量
     * @param ponderGrossWt value
     */
    public void setPonderGrossWt(String ponderGrossWt) {
        this.ponderGrossWt = ponderGrossWt;
    }

    /**
     * 产线代码（机组）
     * @return value
     */
    public String getPlineCode() {
        return plineCode;
    }

    /**
     * 产线代码（机组）
     * @param plineCode value
     */
    public void setPlineCode(String plineCode) {
        this.plineCode = plineCode;
    }

    /**
     * 产线描述
     * @return value
     */
    public String getPlineName() {
        return plineName;
    }

    /**
     * 产线描述
     * @param plineName value
     */
    public void setPlineName(String plineName) {
        this.plineName = plineName;
    }

    /**
     * 生产合同号(内部管理号)
     * @return value
     */
    public String getProOrderNo() {
        return proOrderNo;
    }

    /**
     * 生产合同号(内部管理号)
     * @param proOrderNo value
     */
    public void setProOrderNo(String proOrderNo) {
        this.proOrderNo = proOrderNo;
    }

    /**
     * 合同号
     * @return value
     */
    public String getOrderNo() {
        return orderNo;
    }

    /**
     * 合同号
     * @param orderNo value
     */
    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    /**
     * 合同行号
     * @return value
     */
    public String getOrderSeq() {
        return orderSeq;
    }

    /**
     * 合同行号
     * @param orderSeq value
     */
    public void setOrderSeq(String orderSeq) {
        this.orderSeq = orderSeq;
    }

    /**
     * 合同子行号
     * @return value
     */
    public String getOrderSeqNo() {
        return orderSeqNo;
    }

    /**
     * 合同子行号
     * @param orderSeqNo value
     */
    public void setOrderSeqNo(String orderSeqNo) {
        this.orderSeqNo = orderSeqNo;
    }

    /**
     * 合同主键
     * @return value
     */
    public String getOrdPk() {
        return ordPk;
    }

    /**
     * 合同主键
     * @param ordPk value
     */
    public void setOrdPk(String ordPk) {
        this.ordPk = ordPk;
    }

    /**
     * 合同行主键
     * @return value
     */
    public String getOrdLnPk() {
        return ordLnPk;
    }

    /**
     * 合同行主键
     * @param ordLnPk value
     */
    public void setOrdLnPk(String ordLnPk) {
        this.ordLnPk = ordLnPk;
    }

    /**
     * 交货行主键
     * @return value
     */
    public String getOrdLnDlyPk() {
        return ordLnDlyPk;
    }

    /**
     * 交货行主键
     * @param ordLnDlyPk value
     */
    public void setOrdLnDlyPk(String ordLnDlyPk) {
        this.ordLnDlyPk = ordLnDlyPk;
    }

    /**
     * 所属权单位代码
     * @return value
     */
    public String getBelongCode() {
        return belongCode;
    }

    /**
     * 所属权单位代码
     * @param belongCode value
     */
    public void setBelongCode(String belongCode) {
        this.belongCode = belongCode;
    }

    /**
     * 所属权单位
     * @return value
     */
    public String getBelongName() {
        return belongName;
    }

    /**
     * 所属权单位
     * @param belongName value
     */
    public void setBelongName(String belongName) {
        this.belongName = belongName;
    }

    /**
     * 条码号
     * @return value
     */
    public String getBarCode() {
        return barCode;
    }

    /**
     * 条码号
     * @param barCode value
     */
    public void setBarCode(String barCode) {
        this.barCode = barCode;
    }

    /**
     * (出库)仓库代码
     * @return value
     */
    public String getStorageNo() {
        return storageNo;
    }

    /**
     * (出库)仓库代码
     * @param storageNo value
     */
    public void setStorageNo(String storageNo) {
        this.storageNo = storageNo;
    }

    /**
     * (出库)库位代码
     * @return value
     */
    public String getLocationNo() {
        return locationNo;
    }

    /**
     * (出库)库位代码
     * @param locationNo value
     */
    public void setLocationNo(String locationNo) {
        this.locationNo = locationNo;
    }

    /**
     * (出库)层号
     * @return value
     */
    public String getLaryNo() {
        return laryNo;
    }

    /**
     * (出库)层号
     * @param laryNo value
     */
    public void setLaryNo(String laryNo) {
        this.laryNo = laryNo;
    }

    /**
     * (出库)位置
     * @return value
     */
    public String getLocNo() {
        return locNo;
    }

    /**
     * (出库)位置
     * @param locNo value
     */
    public void setLocNo(String locNo) {
        this.locNo = locNo;
    }

    /**
     * (出库)作业部门代码
     * @return value
     */
    public String getDepartmentCode() {
        return departmentCode;
    }

    /**
     * (出库)作业部门代码
     * @param departmentCode value
     */
    public void setDepartmentCode(String departmentCode) {
        this.departmentCode = departmentCode;
    }

    /**
     * (出库)作业部门名称
     * @return value
     */
    public String getDepartmentDesc() {
        return departmentDesc;
    }

    /**
     * (出库)作业部门名称
     * @param departmentDesc value
     */
    public void setDepartmentDesc(String departmentDesc) {
        this.departmentDesc = departmentDesc;
    }

    /**
     * (出库)作业科室代码
     * @return value
     */
    public String getManagementNo() {
        return managementNo;
    }

    /**
     * (出库)作业科室代码
     * @param managementNo value
     */
    public void setManagementNo(String managementNo) {
        this.managementNo = managementNo;
    }

    /**
     * (出库)作业科室名称
     * @return value
     */
    public String getManagementName() {
        return managementName;
    }

    /**
     * (出库)作业科室名称
     * @param managementName value
     */
    public void setManagementName(String managementName) {
        this.managementName = managementName;
    }

    /**
     * (目标)仓库代码
     * @return value
     */
    public String getTarStorageNo() {
        return tarStorageNo;
    }

    /**
     * (目标)仓库代码
     * @param tarStorageNo value
     */
    public void setTarStorageNo(String tarStorageNo) {
        this.tarStorageNo = tarStorageNo;
    }

    /**
     * (目标)库位代码
     * @return value
     */
    public String getTarLocationNo() {
        return tarLocationNo;
    }

    /**
     * (目标)库位代码
     * @param tarLocationNo value
     */
    public void setTarLocationNo(String tarLocationNo) {
        this.tarLocationNo = tarLocationNo;
    }

    /**
     * (目标)层号
     * @return value
     */
    public String getTarLaryNo() {
        return tarLaryNo;
    }

    /**
     * (目标)层号
     * @param tarLaryNo value
     */
    public void setTarLaryNo(String tarLaryNo) {
        this.tarLaryNo = tarLaryNo;
    }

    /**
     * (目标)位置
     * @return value
     */
    public String getTarLocNo() {
        return tarLocNo;
    }

    /**
     * (目标)位置
     * @param tarLocNo value
     */
    public void setTarLocNo(String tarLocNo) {
        this.tarLocNo = tarLocNo;
    }

    /**
     * (目标)作业部门代码
     * @return value
     */
    public String getTarDepartmentCode() {
        return tarDepartmentCode;
    }

    /**
     * (目标)作业部门代码
     * @param tarDepartmentCode value
     */
    public void setTarDepartmentCode(String tarDepartmentCode) {
        this.tarDepartmentCode = tarDepartmentCode;
    }

    /**
     * (目标)作业部门描叙
     * @return value
     */
    public String getTarDepartmentDesc() {
        return tarDepartmentDesc;
    }

    /**
     * (目标)作业部门描叙
     * @param tarDepartmentDesc value
     */
    public void setTarDepartmentDesc(String tarDepartmentDesc) {
        this.tarDepartmentDesc = tarDepartmentDesc;
    }

    /**
     * (目标)作业科室代码
     * @return value
     */
    public String getTarManagementNo() {
        return tarManagementNo;
    }

    /**
     * (目标)作业科室代码
     * @param tarManagementNo value
     */
    public void setTarManagementNo(String tarManagementNo) {
        this.tarManagementNo = tarManagementNo;
    }

    /**
     * (目标)作业科室名称
     * @return value
     */
    public String getTarManagementName() {
        return tarManagementName;
    }

    /**
     * (目标)作业科室名称
     * @param tarManagementName value
     */
    public void setTarManagementName(String tarManagementName) {
        this.tarManagementName = tarManagementName;
    }

    /**
     * (目标)接收确认标志（0未接收、1已接收）
     * @return value
     */
    public String getTarRecFlag() {
        return tarRecFlag;
    }

    /**
     * (目标)接收确认标志（0未接收、1已接收）
     * @param tarRecFlag value
     */
    public void setTarRecFlag(String tarRecFlag) {
        this.tarRecFlag = tarRecFlag;
    }

    /**
     * 装运点
     * @return value
     */
    public String getVstel() {
        return vstel;
    }

    /**
     * 装运点
     * @param vstel value
     */
    public void setVstel(String vstel) {
        this.vstel = vstel;
    }

    /**
     * 装运点描述
     * @return value
     */
    public String getVstelDesc() {
        return vstelDesc;
    }

    /**
     * 装运点描述
     * @param vstelDesc value
     */
    public void setVstelDesc(String vstelDesc) {
        this.vstelDesc = vstelDesc;
    }

    /**
     * 生产下线时间
     * @return value
     */
    public String getRpoTime() {
        return rpoTime;
    }

    /**
     * 生产下线时间
     * @param rpoTime value
     */
    public void setRpoTime(String rpoTime) {
        this.rpoTime = rpoTime;
    }

    /**
     * 生产班次
     * @return value
     */
    public String getProBc() {
        return proBc;
    }

    /**
     * 生产班次
     * @param proBc value
     */
    public void setProBc(String proBc) {
        this.proBc = proBc;
    }

    /**
     * 生产班组
     * @return value
     */
    public String getProBz() {
        return proBz;
    }

    /**
     * 生产班组
     * @param proBz value
     */
    public void setProBz(String proBz) {
        this.proBz = proBz;
    }

    /**
     * 结算日期（年月）例201510
     * @return value
     */
    public String getBalYearMonth() {
        return balYearMonth;
    }

    /**
     * 结算日期（年月）例201510
     * @param balYearMonth value
     */
    public void setBalYearMonth(String balYearMonth) {
        this.balYearMonth = balYearMonth;
    }

    /**
     * 入库时间
     * @return value
     */
    public String getInstockTime() {
        return instockTime;
    }

    /**
     * 入库时间
     * @param instockTime value
     */
    public void setInstockTime(String instockTime) {
        this.instockTime = instockTime;
    }

    /**
     * 入库班次
     * @return value
     */
    public String getInBc() {
        return inBc;
    }

    /**
     * 入库班次
     * @param inBc value
     */
    public void setInBc(String inBc) {
        this.inBc = inBc;
    }

    /**
     * 入库班组
     * @return value
     */
    public String getInBz() {
        return inBz;
    }

    /**
     * 入库班组
     * @param inBz value
     */
    public void setInBz(String inBz) {
        this.inBz = inBz;
    }

    /**
     * 出库时间
     * @return value
     */
    public String getOutstockTime() {
        return outstockTime;
    }

    /**
     * 出库时间
     * @param outstockTime value
     */
    public void setOutstockTime(String outstockTime) {
        this.outstockTime = outstockTime;
    }

    /**
     * 出库班次
     * @return value
     */
    public String getOutBc() {
        return outBc;
    }

    /**
     * 出库班次
     * @param outBc value
     */
    public void setOutBc(String outBc) {
        this.outBc = outBc;
    }

    /**
     * 出库班组
     * @return value
     */
    public String getOutBz() {
        return outBz;
    }

    /**
     * 出库班组
     * @param outBz value
     */
    public void setOutBz(String outBz) {
        this.outBz = outBz;
    }

    /**
     * 仓库类型（8003    离线库 、投料库、中间库、在线库、成品库）
     * @return value
     */
    public String getStorageAttr() {
        return storageAttr;
    }

    /**
     * 仓库类型（8003    离线库 、投料库、中间库、在线库、成品库）
     * @param storageAttr value
     */
    public void setStorageAttr(String storageAttr) {
        this.storageAttr = storageAttr;
    }

    /**
     * 仓库类型描述
     * @return value
     */
    public String getStorageAttrName() {
        return storageAttrName;
    }

    /**
     * 仓库类型描述
     * @param storageAttrName value
     */
    public void setStorageAttrName(String storageAttrName) {
        this.storageAttrName = storageAttrName;
    }

    /**
     * 库类别代码(8002  管、坯、原料库、合金辅料库、工具库
     * @return value
     */
    public String getStorageTypeNo() {
        return storageTypeNo;
    }

    /**
     * 库类别代码(8002  管、坯、原料库、合金辅料库、工具库
     * @param storageTypeNo value
     */
    public void setStorageTypeNo(String storageTypeNo) {
        this.storageTypeNo = storageTypeNo;
    }

    /**
     * 库类别代码描述
     * @return value
     */
    public String getStorageTypeName() {
        return storageTypeName;
    }

    /**
     * 库类别代码描述
     * @param storageTypeName value
     */
    public void setStorageTypeName(String storageTypeName) {
        this.storageTypeName = storageTypeName;
    }

    /**
     * 手工出库标志
     * @return value
     */
    public String getHandFlag() {
        return handFlag;
    }

    /**
     * 手工出库标志
     * @param handFlag value
     */
    public void setHandFlag(String handFlag) {
        this.handFlag = handFlag;
    }

    /**
     * 有效标志(1:有效，0:无效)
     * @return value
     */
    public String getValidflag() {
        return validflag;
    }

    /**
     * 有效标志(1:有效，0:无效)
     * @param validflag value
     */
    public void setValidflag(String validflag) {
        this.validflag = validflag;
    }

    /**
     * 备注
     * @return value
     */
    public String getMemo() {
        return memo;
    }

    /**
     * 备注
     * @param memo value
     */
    public void setMemo(String memo) {
        this.memo = memo;
    }

    /**
     * 创建人
     * @return value
     */
    public String getCreateName() {
        return createName;
    }

    /**
     * 创建人
     * @param createName value
     */
    public void setCreateName(String createName) {
        this.createName = createName;
    }

    /**
     * 创建时间
     * @return value
     */
    public String getCreateTime() {
        return createTime;
    }

    /**
     * 创建时间
     * @param createTime value
     */
    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    /**
     * 修改人
     * @return value
     */
    public String getUpdateName() {
        return updateName;
    }

    /**
     * 修改人
     * @param updateName value
     */
    public void setUpdateName(String updateName) {
        this.updateName = updateName;
    }

    /**
     * 修改时间
     * @return value
     */
    public String getUpdateTime() {
        return updateTime;
    }

    /**
     * 修改时间
     * @param updateTime value
     */
    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    /**
     * 删除人
     * @return value
     */
    public String getDeleteName() {
        return deleteName;
    }

    /**
     * 删除人
     * @param deleteName value
     */
    public void setDeleteName(String deleteName) {
        this.deleteName = deleteName;
    }

    /**
     * 删除时间
     * @return value
     */
    public String getDeleteTime() {
        return deleteTime;
    }

    /**
     * 删除时间
     * @param deleteTime value
     */
    public void setDeleteTime(String deleteTime) {
        this.deleteTime = deleteTime;
    }

    /**
     * 组号(判定炉号对应长度分组)
     * @return value
     */
    public String getGroudNo() {
        return groudNo;
    }

    /**
     * 组号(判定炉号对应长度分组)
     * @param groudNo value
     */
    public void setGroudNo(String groudNo) {
        this.groudNo = groudNo;
    }

    /**
     * 实发数(米、英尺等
     * @return value
     */
    public String getSendNum() {
        return sendNum;
    }

    /**
     * 实发数(米、英尺等
     * @param sendNum value
     */
    public void setSendNum(String sendNum) {
        this.sendNum = sendNum;
    }

    /**
     * 收货单位编码
     * @return value
     */
    public String getReceivNo() {
        return receivNo;
    }

    /**
     * 收货单位编码
     * @param receivNo value
     */
    public void setReceivNo(String receivNo) {
        this.receivNo = receivNo;
    }

    /**
     * 收货单位名称
     * @return value
     */
    public String getReceivNm() {
        return receivNm;
    }

    /**
     * 收货单位名称
     * @param receivNm value
     */
    public void setReceivNm(String receivNm) {
        this.receivNm = receivNm;
    }

    /**
     * 装车皮倒运提货单号
     * @return value
     */
    public String getMBillNo() {
        return mBillNo;
    }

    /**
     * 装车皮倒运提货单号
     * @param mBillNo value
     */
    public void setMBillNo(String mBillNo) {
        this.mBillNo = mBillNo;
    }

    /**
     * 打印炉号
     * @return value
     */
    public String getPrintStoveNo() {
        return printStoveNo;
    }

    /**
     * 打印炉号
     * @param printStoveNo value
     */
    public void setPrintStoveNo(String printStoveNo) {
        this.printStoveNo = printStoveNo;
    }

    /**
     * 铸造订单编号
     * @return value
     */
    public String getProPlanId() {
        return proPlanId;
    }

    /**
     * 铸造订单编号
     * @param proPlanId value
     */
    public void setProPlanId(String proPlanId) {
        this.proPlanId = proPlanId;
    }

    /**
     * 工序排产序号
     * @return value
     */
    public String getGxPlanNo() {
        return gxPlanNo;
    }

    /**
     * 工序排产序号
     * @param gxPlanNo value
     */
    public void setGxPlanNo(String gxPlanNo) {
        this.gxPlanNo = gxPlanNo;
    }

    /**
     * 虚拟炉号
     * @return value
     */
    public String getFurnaceno() {
        return furnaceno;
    }

    /**
     * 虚拟炉号
     * @param furnaceno value
     */
    public void setFurnaceno(String furnaceno) {
        this.furnaceno = furnaceno;
    }

    /**
     * 顺序号(虚拟炉号)
     * @return value
     */
    public String getSequenceno() {
        return sequenceno;
    }

    /**
     * 顺序号(虚拟炉号)
     * @param sequenceno value
     */
    public void setSequenceno(String sequenceno) {
        this.sequenceno = sequenceno;
    }

    /**
     * 管坯类型（1铸坯2锻坯）
     * @return value
     */
    public String getGptype() {
        return gptype;
    }

    /**
     * 管坯类型（1铸坯2锻坯）
     * @param gptype value
     */
    public void setGptype(String gptype) {
        this.gptype = gptype;
    }

    /**
     * 成分标准索引号集合(内控)
     * @return value
     */
    public String getCic() {
        return cic;
    }

    /**
     * 成分标准索引号集合(内控)
     * @param cic value
     */
    public void setCic(String cic) {
        this.cic = cic;
    }

    /**
     * 材质标准索引号集合(内控)
     * @return value
     */
    public String getPic() {
        return pic;
    }

    /**
     * 材质标准索引号集合(内控)
     * @param pic value
     */
    public void setPic(String pic) {
        this.pic = pic;
    }

    /**
     * 公差标准索引号集合(内控)
     * @return value
     */
    public String getSic() {
        return sic;
    }

    /**
     * 公差标准索引号集合(内控)
     * @param sic value
     */
    public void setSic(String sic) {
        this.sic = sic;
    }

    /**
     * 探伤索引号集合(内控)
     * @return value
     */
    public String getDic() {
        return dic;
    }

    /**
     * 探伤索引号集合(内控)
     * @param dic value
     */
    public void setDic(String dic) {
        this.dic = dic;
    }

    /**
     * 品名代码
     * @return value
     */
    public String getProduccode() {
        return produccode;
    }

    /**
     * 品名代码
     * @param produccode value
     */
    public void setProduccode(String produccode) {
        this.produccode = produccode;
    }

    /**
     * 品名描述
     * @return value
     */
    public String getProducname() {
        return producname;
    }

    /**
     * 品名描述
     * @param producname value
     */
    public void setProducname(String producname) {
        this.producname = producname;
    }

    /**
     * 轧管订单编号
     * @return value
     */
    public String getProPlanIdZg() {
        return proPlanIdZg;
    }

    /**
     * 轧管订单编号
     * @param proPlanIdZg value
     */
    public void setProPlanIdZg(String proPlanIdZg) {
        this.proPlanIdZg = proPlanIdZg;
    }

    /**
     * 轧管排产序号
     * @return value
     */
    public String getGxPlanNoZg() {
        return gxPlanNoZg;
    }

    /**
     * 轧管排产序号
     * @param gxPlanNoZg value
     */
    public void setGxPlanNoZg(String gxPlanNoZg) {
        this.gxPlanNoZg = gxPlanNoZg;
    }

    /**
     * 司机
     * @return value
     */
    public String getDriver() {
        return driver;
    }

    /**
     * 司机
     * @param driver value
     */
    public void setDriver(String driver) {
        this.driver = driver;
    }

    /**
     * 材料去向代码
     * @return value
     */
    public String getMatGowhereCode() {
        return matGowhereCode;
    }

    /**
     * 材料去向代码
     * @param matGowhereCode value
     */
    public void setMatGowhereCode(String matGowhereCode) {
        this.matGowhereCode = matGowhereCode;
    }

    /**
     * 材料去向
     * @return value
     */
    public String getMatGowhereName() {
        return matGowhereName;
    }

    /**
     * 材料去向
     * @param matGowhereName value
     */
    public void setMatGowhereName(String matGowhereName) {
        this.matGowhereName = matGowhereName;
    }

    /**
     * 出厂确认人
     * @return value
     */
    public String getLeaveFactoryName() {
        return leaveFactoryName;
    }

    /**
     * 出厂确认人
     * @param leaveFactoryName value
     */
    public void setLeaveFactoryName(String leaveFactoryName) {
        this.leaveFactoryName = leaveFactoryName;
    }

    /**
     * 出厂确认时间
     * @return value
     */
    public String getLeaveFactoryTime() {
        return leaveFactoryTime;
    }

    /**
     * 出厂确认时间
     * @param leaveFactoryTime value
     */
    public void setLeaveFactoryTime(String leaveFactoryTime) {
        this.leaveFactoryTime = leaveFactoryTime;
    }

    /**
     * 出厂确认标识(0 未确认  1已确认)
     * @return value
     */
    public String getLeaveFactoryFlag() {
        return leaveFactoryFlag;
    }

    /**
     * 出厂确认标识(0 未确认  1已确认)
     * @param leaveFactoryFlag value
     */
    public void setLeaveFactoryFlag(String leaveFactoryFlag) {
        this.leaveFactoryFlag = leaveFactoryFlag;
    }
}